Bug 1766821

Summary: Optional zbar/ImageMagick dependency
Product: [Fedora] Fedora Reporter: Artem S. Tashkinov <aros>
Component: electrumAssignee: Timothy Redaelli <tredaelli>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: hegjon, RedHat-User
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-02 17:19:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Artem S. Tashkinov 2019-10-30 02:17:12 UTC
Electrum in Fedora 31 now requires ImageMagick-libs which has a ton of dependencies.

I've got a few questions:

1) Is it a hard dependency? Why Electrum in Fedora 30 worked fine without ImageMagick?

2) Is it possible to switch to GraphicsMagick which is a lot leaner/faster/and has a lot fewer dependencies?

3) Is it possible to make whatever depends on IM/GM a separate recommended package?

 ImageMagick-libs                                     x86_64                 1:6.9.10.67-1.fc31                      fedora                 2.3 M
Installing dependencies:
 LibRaw                                               x86_64                 0.19.5-1.fc31                           fedora                 320 k
 OpenEXR-libs                                         x86_64                 2.3.0-4.fc31                            fedora                 814 k
 adobe-mappings-cmap                                  noarch                 20171205-6.fc31                         fedora                 1.9 M
 adobe-mappings-cmap-deprecated                       noarch                 20171205-6.fc31                         fedora                 118 k
 adobe-mappings-pdf                                   noarch                 20180407-4.fc31                         fedora                 668 k
 fftw-libs-double                                     x86_64                 3.3.8-6.fc31                            fedora                 968 k
 google-droid-sans-fonts                              noarch                 20120715-16.fc31                        fedora                 2.4 M
 graphviz                                             x86_64                 2.40.1-54.fc31                          fedora                 3.4 M
 gts                                                  x86_64                 0.7.6-36.20121130.fc31                  fedora                 238 k
 ilmbase                                              x86_64                 2.3.0-3.fc31                            fedora                 143 k
 jbig2dec-libs                                        x86_64                 0.16-1.fc31                             fedora                  70 k
 lasi                                                 x86_64                 1.1.2-13.fc31                           fedora                  48 k
 libgs                                                x86_64                 9.27-1.fc31                             fedora                 3.0 M
 libidn                                               x86_64                 1.35-6.fc31                             fedora                 240 k
 libijs                                               x86_64                 0.35-10.fc31                            fedora                  30 k
 liblqr-1                                             x86_64                 0.4.2-13.fc31                           fedora                  50 k
 libpaper                                             x86_64                 1.1.24-25.fc31                          fedora                  42 k
 libraqm                                              x86_64                 0.7.0-1.fc31                            fedora                  19 k
 netpbm                                               x86_64                 10.87.00-1.fc31                         fedora                 184 k
 urw-base35-bookman-fonts                             noarch                 20170801-13.fc31                        fedora                 864 k
 urw-base35-c059-fonts                                noarch                 20170801-13.fc31                        fedora                 892 k
 urw-base35-d050000l-fonts                            noarch                 20170801-13.fc31                        fedora                  80 k
 urw-base35-fonts                                     noarch                 20170801-13.fc31                        fedora                  11 k
 urw-base35-fonts-common                              noarch                 20170801-13.fc31                        fedora                  22 k
 urw-base35-gothic-fonts                              noarch                 20170801-13.fc31                        fedora                 660 k
 urw-base35-nimbus-mono-ps-fonts                      noarch                 20170801-13.fc31                        fedora                 810 k
 urw-base35-nimbus-roman-fonts                        noarch                 20170801-13.fc31                        fedora                 873 k
 urw-base35-nimbus-sans-fonts                         noarch                 20170801-13.fc31                        fedora                 1.3 M
 urw-base35-p052-fonts                                noarch                 20170801-13.fc31                        fedora                 991 k
 urw-base35-standard-symbols-ps-fonts                 noarch                 20170801-13.fc31                        fedora                  43 k
 urw-base35-z003-fonts                                noarch                 20170801-13.fc31                        fedora                 284 k
 xorg-x11-fonts-ISO8859-1-100dpi                      noarch                 7.5-23.fc31                             fedora                 1.0 M

Transaction Summary
==================================================================================================================================================
Install  32 Packages

Total download size: 25 M
Installed size: 81 M

Comment 1 Artem S. Tashkinov 2019-10-30 02:45:46 UTC
It's because of zbar however I've just deleted this package and Electrum works just fine.

Comment 2 Fedora Admin user for bugzilla script actions 2020-10-26 02:51:49 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Ben Cotton 2020-11-03 15:41:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Admin user for bugzilla script actions 2020-11-29 14:52:04 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 5 Fedora Update System 2020-12-10 15:35:05 UTC
FEDORA-2020-792b9f354d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-792b9f354d

Comment 6 Fedora Update System 2020-12-11 00:59:28 UTC
FEDORA-2020-792b9f354d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-792b9f354d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-792b9f354d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-12-15 01:21:45 UTC
FEDORA-2020-792b9f354d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.